Create Project from XML

POST /tm/api/v1/projects/create/from-xml

Operation id: createProjectFromXml

Description

Project creation using XML file.

Security

  • ApiKeyAuth (apiKey)
    • API key passed in the apikey request header.

Responses

200 — Success

Content type: application/json

400 — Error

Content type: application/json

Request body

Required: Yes

multipart/form-data

Schema

PropertyTypeRequiredDescription
domainIdstringYesDomain Id
xmlstring (binary)YesXML File
{
  "type": "object",
  "required": [
    "domainId",
    "xml"
  ],
  "properties": {
    "domainId": {
      "type": "string",
      "description": "Domain Id"
    },
    "xml": {
      "type": "string",
      "format": "binary",
      "description": "XML File"
    }
  }
}

Response models

200 — Success

Content type: application/json

Schema

PropertyTypeRequiredDescription
statusstringNo
dataobjectNo
messagestringNo
{
  "type": "object",
  "properties": {
    "status": {
      "type": "string",
      "example": "SUCCESS"
    },
    "data": {
      "type": "object",
      "properties": {
        "projectId": {
          "type": "string",
          "example": "12345"
        }
      }
    },
    "message": {
      "type": "string",
      "example": "Project Created Successfully"
    }
  }
}

400 — Error

Content type: application/json

Schema

PropertyTypeRequiredDescription
statusstringNo
errorarrayNo
{
  "type": "object",
  "properties": {
    "status": {
      "type": "string",
      "example": "ERROR"
    },
    "error": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "code": {
            "type": "string"
          },
          "message": {
            "type": "string"
          }
        }
      }
    }
  }
}

Example:

{
  "status": "ERROR",
  "error": [
    {
      "code": "835",
      "message": "Invalid Input Parameters"
    }
  ]
}